sc::SumMolecularEnergy(3)

NAME
sc::SumMolecularEnergy -

SYNOPSIS

Inherits sc::MolecularEnergy.

Inherited by sc::MP2BasisExtrap.

  Public Member Functions
SumMolecularEnergy (const Ref< KeyVal > &)
SumMolecularEnergy (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const
int hessian_implemented () const
void set_x (const RefSCVector &)
Set and retrieve the coordinate values.

  Protected Member Functions
void compute ()
Recompute at least the results that have compute true and are not already computed.

  Protected Attributes
int n_
Ref< MolecularEnergy > * mole_
double * coef_

  Additional Inherited Members

Member Function Documentation

  void sc::SumMolecularEnergy::compute () [protected], [virtual]

Recompute at least the results that have compute true and are not already computed. This should only be called by Result's members.

Implements sc::Compute.

Reimplemented in sc::MP2BasisExtrap.

  void sc::SumMolecularEnergy::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

Reimplemented in sc::MP2BasisExtrap.

  int sc::SumMolecularEnergy::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

Author

Generated automatically by Doxygen for MPQC from the source code.